<?php
/**
 * @package WordPress
 * @subpackage magazine_obsession
 */

/* Get ID of the page, if this is current page */

function obwp_get_page_id () {
	global $wp_query;

	if ( !$wp_query->is_page )
		return -1;

	$page_obj = $wp_query->get_queried_object();

	if ( isset( $page_obj->ID ) && $page_obj->ID >= 0 )
		return $page_obj->ID;

	return -1;
}

/**
 * Get Meta post/pages value
 * $type = string|int
 */
function obwp_get_meta($var, $type = 'string', $count = 0)
{
	$value = stripslashes(get_option($var));
	
	if($type=='string')
	{
		return $value;
	}
	elseif($type=='int')
	{
		$value = intval($value);
		if( !is_int($value) || $value <=0 )
		{
			$value = $count;
		}
		
		return $value;
	}
	
	return NULL;
}

/**
 * Get custom field of the current page
 * $type = string|int
 */
function obwp_getcustomfield($filedname, $page_current_id = NULL)
{
	if($page_current_id==NULL)
		$page_current_id = obwp_get_page_id();

	$value = get_post_meta($page_current_id, $filedname, true);

	return $value;
}
function the_title_limited($length = false, $before = '', $after = '', $echo = true)
{
	$title = get_the_title();

	if ( $length && is_numeric($length) )
	{
		$title = substr( $title, 0, $length );
	}
	if ( strlen($title)> 0 )
	{
		$title = apply_filters('the_title2', $before . $title . $after, $before, $after);
		if ( $echo )
			echo $title;
		else
			return $title;
	}
}

function the_content_limit($max_char, $more_link_text = '', $use_p = false, $stripteaser = 0, $more_file = '')
{
    $content = get_the_content($more_link_text, $stripteaser, $more_file);
    $content = apply_filters('the_content', $content);
    $content = str_replace(']]>', ']]&gt;', $content);
    $content = strip_tags($content);

   if (strlen($_GET['p']) > 0) {
	  if($use_p)
      	echo "<p>";
      echo $content;
	  if($use_p)
      	echo "</p>";
   }
   else if ((strlen($content)>$max_char) && ($espacio = strpos($content, " ", $max_char ))) {
        $content = substr($content, 0, $espacio);
        $content = $content;
	  	if($use_p)
       		echo "<p>";
        echo $content;
        echo "...";
	  	if($use_p)
        	echo "</p>";
   }
   else {
	  if($use_p)
      	echo "<p>";
      echo $content;
	  if($use_p)
      	echo "</p>";
   }
}


function get_string_limit($output, $max_char)
{
    $output = str_replace(']]>', ']]&gt;', $output);
    $output = strip_tags($output);

  	if ((strlen($output)>$max_char) && ($espacio = strpos($output, " ", $max_char )))
	{
        $output = substr($output, 0, $espacio).'...';
		return $output;
   }
   else
   {
      return $output;
   }
}

function carousel_featured_posts($cat_id, $max_posts=5, $offset=0) {
	
	query_posts('cat='.$cat_id.'&showposts='.$max_posts);
	if (have_posts()) :
		
		$html = '';
		$coint_i = 0;
		while (have_posts()) : the_post();

			$coint_i++;
			$post = get_post(get_the_ID());
			$post_title = stripslashes($post->post_title);
			$post_title = str_replace('"', '', $post_title);
			$post_content = stripslashes($post->post_content);
			$post_content = str_replace(']]>', ']]&gt;', $post_content);
			$post_content = strip_tags($post_content);
			$permalink = get_permalink(get_the_ID());
			$post_id = get_the_ID();
			$html .= '<div class="board_item">
				<!-- board_item -->
				<p>';
				
			$thumbnail = get_post_meta($post_id, 'thumbnail', true);
			
			if( isset($thumbnail) && !empty($thumbnail) ):
				$html .= '<img src="'.$thumbnail.'" alt="'.$post_title.'" />';
			endif;
			
			$html .= '<strong><a href="'.$permalink.'">'.get_string_limit($post_title,50).'</a></strong> '.get_string_limit($post_content,370).'</p>
				<p class="more"><a href="'.$permalink.'">Readmore</a></p>
				<!-- /board_item -->
			</div>';
		endwhile; wp_reset_query();
	
	endif;
	echo $html;
	return $coint_i;
}

function list_recent_posts($number = 10, $count = 200) {

	$r = new WP_Query("showposts=$number&what_to_show=posts&nopaging=0&post_status=publish");
	if ($r->have_posts()) :
$i=0;  while ($r->have_posts()) : $r->the_post(); $i++; ?>
			<li <?php if($i==$number) echo 'class="last"'; ?>><a href="<?php the_permalink() ?>"><?php if ( get_the_title() ) the_title(); else the_ID(); ?></a><p><?php the_content_limit($count); ?></p></li>
			<?php endwhile;
		wp_reset_query();  // Restore global post data stomped by the_post().
	endif;

}

function list_recent_posts2($number = 10, $count = 200) {

	$r = new WP_Query("showposts=$number&what_to_show=posts&nopaging=0&post_status=publish");
	if ($r->have_posts()) :
 $i=0;  while ($r->have_posts()) : $r->the_post(); $i++; ?>
			<li <?php if($i==$number) echo 'class="last"'; ?>><a href="<?php the_permalink() ?>"><?php if ( get_the_title() ) the_title(); else the_ID(); ?></a></li>
			<?php endwhile; 
		wp_reset_query();  // Restore global post data stomped by the_post().
	endif;

}

### Function: Display Most Viewed Page/Post
if(function_exists('get_most_viewed')) {
	function get_most_viewed_month($mode = '', $limit = 10, $chars = 0, $display = true) {
		global $wpdb, $post;
		$views_options = get_option('views_options');
		$where = '';
		$temp = '';
		$output = '';
		if(!empty($mode) && $mode != 'both') {
			$where = "post_type = '$mode'";
		} else {
			$where = '1=1';
		}
		$blogtime = current_time('mysql');
		list( $now_year, $now_month, $now_day, $now_hour, $now_minute, $now_second ) = split( '([^0-9])', $blogtime );
		$old_month = $now_month-1;
		if(strlen($old_month)==1)
		{
			$old_month = '0'.$old_month;
		}
		$old_date = $now_year.'-'.$old_month.'-'.$now_day.' '.$now_hour.':'.$now_minute.':'.$now_second.'';
		$most_viewed = $wpdb->get_results("SELECT DISTINCT $wpdb->posts.*, (meta_value+0) AS views FROM $wpdb->posts LEFT JOIN $wpdb->postmeta ON $wpdb->postmeta.post_id = $wpdb->posts.ID WHERE post_date > '".$old_date."' AND post_date < '".current_time('mysql')."' AND $where AND post_status = 'publish' AND meta_key = 'views' AND post_password = '' ORDER  BY views DESC LIMIT $limit");
		if($most_viewed) {
			foreach ($most_viewed as $post) {
				$post_views = intval($post->views);
				$post_title = get_the_title();
				$post_excerpt = views_post_excerpt($post->post_excerpt, $post->post_content, $post->post_password);
				$post_content = get_the_content();
				if($chars > 0) {				
					$temp = "<li><a href=\"".get_permalink()."\">".snippet_text($post_title, $chars)."</a> - ".sprintf(__ngettext('%s view', '%s views', $post_views, 'wp-postviews'), number_format_i18n($post_views))."</li>\n";
				} else {
					$temp = stripslashes($views_options['most_viewed_template']);
					$temp = str_replace("%VIEW_COUNT%", number_format_i18n($post_views), $temp);
					$temp = str_replace("%POST_TITLE%", $post_title, $temp);
					$temp = str_replace("%POST_EXCERPT%", $post_excerpt, $temp);
					$temp = str_replace("%POST_CONTENT%", $post_content, $temp);
					$temp = str_replace("%POST_URL%", get_permalink(), $temp);
				}
				$output .= $temp;
			}			
		} else {
			$output = '<li>'.__('N/A', 'wp-postviews').'</li>'."\n";
		}
		if($display) {
			echo $output;
		} else {
			return $output;
		}
	}
}


function theme_twitter_show($count=4)
{
	$id = obwp_get_meta(SHORTNAME."_twitter_id");
	if(!empty($id))
	{
	?>
	<script type="text/javascript" src="http://twitter.com/javascripts/blogger.js"></script>
	<script type="text/javascript" src="http://twitter.com/statuses/user_timeline/<?php echo $id; ?>.json?callback=twitterCallback2&amp;count=<?php echo $count; ?>"></script>
	<?php
	}
}
function obwp_recent_comments($number = 10) {
	global $wpdb, $comments, $comment;
	$comments = get_comments('number='.$number);

		 $i=0;
		 $last = '';
        if ( $comments ) : foreach ($comments as $comment) :
		 $i++;
		if($i==$number) $last = 'last';
		$comment_content = strip_tags($comment->comment_content);
        echo  '<li class="recentcomments '.$last.'">' . sprintf(__('<b>%1$s</b> : <span>%2$s</span>'), get_comment_author_link(), '<a href="'. get_permalink($comment->comment_post_ID) . '#comment-' . $comment->comment_ID . '">' . get_string_limit($comment_content, 200) . '</a>') . '</li>';
        endforeach; endif;?>
<?php
}
?>